org.apache.mina.filter.ssl

## Class KeyStoreFactory

- java.lang.Object
- - org.apache.mina.filter.ssl.KeyStoreFactory

-     public class KeyStoreFactory
      extends Object

  A factory that creates and configures a new `KeyStore` instance.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyStore` | `newInstance()` Creates a new `KeyStore`.
    `void` | `setData(byte[] data)` Sets the data which contains the key store.
    `void` | `setDataFile(File dataFile)` Sets the data which contains the key store.
    `void` | `setDataUrl(URL dataUrl)` Sets the data which contains the key store.
    `void` | `setPassword(String password)` Sets the key store password.
    `void` | `setProvider(String provider)` Sets the name of the provider to use when creating the key store.
    `void` | `setType(String type)` Sets the type of key store to create.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreFactory

          public KeyStoreFactory()

  - ### Method Detail

    - #### newInstance

          public KeyStore newInstance()
                               throws KeyStoreException,
                                      NoSuchProviderException,
                                      NoSuchAlgorithmException,
                                      CertificateException,
                                      IOException

      Creates a new `KeyStore`. This method will be called by the base class when Spring creates a bean using this FactoryBean.
      Returns:
        a new `KeyStore` instance.
      Throws:
        `KeyStoreException`
        `NoSuchProviderException`
        `NoSuchAlgorithmException`
        `CertificateException`
        `IOException`

    - #### setType

          public void setType(String type)

      Sets the type of key store to create. The default is to create a JKS key store.
      Parameters:
        `type` - the type to use when creating the key store.
      Throws:
        `IllegalArgumentException` - if the specified value is `null`.

    - #### setPassword

          public void setPassword(String password)

      Sets the key store password. If this value is `null` no password will be used to check the integrity of the key store.
      Parameters:
        `password` - the password or `null` if no password is needed.

    - #### setProvider

          public void setProvider(String provider)

      Sets the name of the provider to use when creating the key store. The default is to use the platform default provider.
      Parameters:
        `provider` - the name of the provider, e.g. `"SUN"`.

    - #### setData

          public void setData(byte[] data)

      Sets the data which contains the key store.
      Parameters:
        `data` - the byte array that contains the key store

    - #### setDataFile

          public void setDataFile(File dataFile)
                           throws IOException

      Sets the data which contains the key store.
      Parameters:
        `dataFile` - the `File` that contains the key store
      Throws:
        `IOException`

    - #### setDataUrl

          public void setDataUrl(URL dataUrl)
                          throws IOException

      Sets the data which contains the key store.
      Parameters:
        `dataUrl` - the `URL` that contains the key store.
      Throws:
        `IOException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.